View Issue Details

IDProjectCategoryView StatusLast Update
0000122TeraCopyUIpublic2017-05-05 06:33
Reportertopbanana 
PrioritynormalSeverityfeatureReproducibilityalways
Status feedbackResolutionreopened 
Product Version3.0.8 
Target VersionUpcomingFixed in Version3.1 
Summary0000122: 'Keep Both'/Rename changes existing numbers in filenames
DescriptionWhen copying/moving files to a destination that has duplicates, TeraCopy offers to 'Keep Both', to rename the copied/moved file, appending "(2)" to the filename.
If the file already has a bracketed number at the end, it increments this number by one.
But if the bracketed number at the end of the filename is a integral part of that filename, then it changes the filename in a corrupting way.

E.g.
Company Accounts (2017).xlsx
is renamed to:
Company Accounts (2018).xlsx

This behaviour is absolutely not desired and will lead to problems of unwittingly corrupting filenames, especially when copying numerous files.


An obvious possible fix is to force the appending of "(2)" number irrespective of whether there's an existing bracketed number...
Ideally to have this behaviour as an option in the preferences, with the suggested option being the default, as it is non-corrupting, but the old behaviour being available for times when it is often obviously more desirable.
Even better, a third option to Prompt, on finding conflicting filenames ending in bracketed numbers, such that the appropriate behaviour can be selected.
Steps To ReproduceCopy/move any files to where the destination has duplicates with filenames ending with bracketed numbers.
TagsNo tags attached.
OSWindows 10
OS Version64 bit

Relationships

Activities

CodeSector

2017-04-12 06:13

administrator   ~0000093

Only small numbers (<10) will be incremented.

topbanana

2017-04-12 08:16

reporter   ~0000094

The fix you've suggested (<10) will work perfectly for the situation i have (filenames ending in years, (e.g. (2012)). Thanks.

But do appreciate that this fix does not prevent TC from corrupting filenames. Which is very undesirable.
Anyone using numbers appending their own filenames, in the (1) format (which is common!) will experience filename corruption.

An option to change behaviour, choose what to append, etc, etc, whatever works best, is still needed to prevent TC from corrupting filenames unwittingly.

CodeSector

2017-04-12 10:08

administrator   ~0000095

TC simply replicates the default behaviour of Windows Explorer (which is more common, btw).

Issue History

Date Modified Username Field Change
2017-03-29 17:39 topbanana New Issue
2017-04-12 06:13 CodeSector Status new => resolved
2017-04-12 06:13 CodeSector Resolution open => fixed
2017-04-12 06:13 CodeSector Note Added: 0000093
2017-04-12 06:51 CodeSector Fixed in Version => 3.1
2017-04-12 06:52 CodeSector Target Version => 3.1
2017-04-12 08:16 topbanana Status resolved => feedback
2017-04-12 08:16 topbanana Resolution fixed => reopened
2017-04-12 08:16 topbanana Note Added: 0000094
2017-04-12 10:08 CodeSector Note Added: 0000095
2017-05-05 06:33 CodeSector Target Version 3.1 => Upcoming
2017-05-05 06:33 CodeSector OS Version 64 bit => 64 bit